Bug 60507 - gcc: dejagnu script error? ~950 test runs missing
Summary: gcc: dejagnu script error? ~950 test runs missing
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Beth Uptagrafft
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-28 19:19 UTC by Christopher Holmes
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-01 14:48:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christopher Holmes 2002-02-28 19:19:24 UTC
Description of Problem:

	gcc: dejagnu script error? Roughly 950 test cases not run as a result.

Version-Release number of selected component (if applicable):

	gcc-2.96-101.src.rpm

How Reproducible:

	always

Steps to Reproduce:

1. rpm -i gcc-2.96-101.src.rpm
2. cd /usr/src/redhat/SPECS
3. rpm -ba gcc.spec
4. cd /usr/src/redhat/BUILD/gcc-2.96-20000731/obj-alpha-redhat-linux
5. make -k check
6. review gcc/testsuite/gcc.log

Actual Results:

ERROR: tcl error sourcing
/usr/src/redhat/BUILD/gcc-2.96-20000731/gcc/testsuite/gcc.dg/dg.exp.
ERROR: unmatched open brace in list
    while executing
"foreach op $tmp {
	verbose "Processing option: $op" 3
	set status [catch "$op" errmsg]
	if { $status != 0 } {
	    if { 0 && [info exists errorInfo] }..."
    (procedure "dg-test" line 69)
    invoked from within
"dg-test $testcase $flags ${default-extra-flags}"
    (procedure "dg-runtest" line 10)
    invoked from within
"dg-runtest [lsort [glob -nocomplain $srcdir/$subdir/*.\[cS\]]] \
	"" $DEFAULT_CFLAGS"
    (file "/usr/src/redhat/BUILD/gcc-2.96-20000731/gcc/testsuite/gcc.dg/dg.exp"
line 66)
    invoked from within
"source /usr/src/redhat/BUILD/gcc-2.96-20000731/gcc/testsuite/gcc.dg/dg.exp"
    ("uplevel" body line 1)
    invoked from within
"uplevel #0 source
/usr/src/redhat/BUILD/gcc-2.96-20000731/gcc/testsuite/gcc.dg/dg.exp"
    invoked from within
"catch "uplevel #0 source $test_file_name""

Expected Results:

PASS: of roughly 950 test cases

Additional Information:

	Expected results achieved on intel RedHat7.2

Comment 1 Beth Uptagrafft 2002-04-24 18:15:45 UTC
The testcase 20011024-1.C specified flags to be used when building the 
test, but they were specified with an incorrect number of braces. When
interpreted by the test environment, the unbalanced braces caused
the interpreter script to fail and stop running.




Note You need to log in before you can comment on or make changes to this bug.